class Pump
	def initialize(&calc)
		@myCalc = calc
	end
	
	def compute(val)
		@myCalc.call(val)
	end
end

p1 = Pump.new() { |v| puts "Using calc1 to work on #{v}" }

p1.compute(3)
p1.compute(4)

p2 = Pump.new() { |i| puts "I got #{i}"} 
p2.compute(3)
p2.compute(4)

