class Car
# default is public
attr_reader :year, :miles, :color
attr_writer :color

	def initialize(year)
		@year = year
		@color = "Red"
		@miles = 0
		@fuel_level = 0
	end
	
	def fuel=(level)
		@fuel_level = level
	end
	
	def fuelLevel
		@fuel_level
	end
	
private
	#...
protected
	#...
public
	def drive()
		@miles += 1
	end
	
	#...
end

c1 = Car.new(2006)
puts "Car made in #{c1.year}"
puts "Miles: #{c1.miles}"
c1.drive()
puts "Miles: #{c1.miles}"
puts "Car color: #{c1.color}"
c1.color = "Black"
puts "Car color: #{c1.color}"
puts "Fuel level: #{c1.fuelLevel}"
c1.fuel = 0.5
puts "Fuel level: #{c1.fuelLevel}"
